<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.cyksj.mapper.corp.CorpMsgBulkTaskMapper">

    <select id="getsSuccessCorpUser" resultType="com.cyksj.model.entity.CorpUserSendRecord">
        select cu.name,cu.avatar,cua.external_userid from corp_user cu inner join corp_user_auth cua on cu.id = cua.corp_user_id
        where cua.external_userid in (
        <foreach collection="corpUserIdList" item="courUserId" separator=",">
            #{courUserId}
        </foreach>
        )
    </select>
</mapper>